Subject: Re: bug#20943: 25.0.50; Dired buffers are not always auto-reverterd

From: Eli Zaretskii <[email-masked]>
Date: Fri, 03 Jul 2015 15:10:48 +0300

> From: Mark Karpov <[email-masked]>
> Date: Fri, 03 Jul 2015 15:39:49 +0600
> 
> So, I was wrong. Maybe I missed something. It doesn't even get to
> messages that print return values of various functions. Buffer named
> ‘2008, Hard Candy’ was frozen during the experiment. Then I pressed ‘g’
> — this refreshed it. Then I went to desktop environment (XFCE4), located
> this folder and deleted a file — it was reflected in the buffer in a
> second. To be honest working in "emacs -Q" is really painful, because
> normally my Emacs is heavily customized… In principle if I'm the only
> one to experience this thing, I don't think debugging is worth the
> trouble. On the other hand my system setup is not that unique, so
> theoretically many users might experience this. At any rate, I'm ready
> to investigate it further, if you have some ideas.

Use this modified function in your customized Emacs and see what does
dired-buffer-stale-p return there, when you reproduce your problem.
Then let's take it from there -- if dired-buffer-stale-p returns nil,
the problem is inside that function, otherwise it's inside
auto-revert-handler.